Subject: Re: [PATCH 2/2] mergetool: fix running mergetool in sub-directories

From: Junio C Hamano <[email-masked]>
Date: Sat, 07 Feb 2009 13:48:55 -0800

Charles Bailey <[email-masked]> writes:

> Junio C Hamano wrote:
>> 
>> I wonder if it would be cleaner to keep $prefix and instead cd_to_toplevel
>> at the beginning.
>> ...
> Possibly, and I certainly wouldn't object if mergetool moved to the
> latter mode of operation in the medium term.
>
> In general, though, mergetool is pretty happy running from the users
> directory and there may be cases in which users expect the merge tool to
> be running from the directory that they started in (saving extra files
> during the merge process?).

A very sensible consideration that I agree with.  I am happy that you
were the one who volunteered to take this script over.